Skip to content
Back to top

# bson_append_document_end()

## Synopsis

    bool
    bson_append_document_end (bson_t *bson, bson_t *child);

## Parameters

- `bson`: A bson_t.

- `child`: The child bson_t initialized in a call to bson_append_document_begin().

## Description

The bson_append_document_end() function shall complete the appending of a document with bson_append_document_begin(). `child` is invalid after calling this function.

## Returns

Returns `true` if successful.